> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile

> Get profile information of the logged-in user in the WhatsApp session

## Description

This endpoint returns profile information of the user authenticated in the WhatsApp session, including display name, status (about/bio), and other profile information.

**⚠️ This endpoint is not yet implemented.**

## URL Parameters

<ParamField path="session" type="string" required>
  WhatsApp unique authenticated session ID
</ParamField>

## Expected Response

<ResponseField name="name" type="string">
  User profile display name
</ResponseField>

<ResponseField name="status" type="string">
  Profile status/about (not to be confused with Stories)
</ResponseField>

<ResponseField name="picture" type="string">
  User profile picture URL
</ResponseField>

<ResponseExample>
  ```json Success Response (Example) theme={null}
  {
      "name": "John Silva",
      "status": "Available to chat",
      "picture": "https://..."
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Profile obtained successfully
* `400` - Invalid parameters
* `401` - Unauthorized
* `501` - Not implemented

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET https://api.wappfy.com.br/api/my-session/profile
  ```

  ```javascript JavaScript theme={null}
  const session = 'my-session';
  const response = await fetch(`https://api.wappfy.com.br/api/${session}/profile`);
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  session = 'my-session'
  response = requests.get(f'https://api.wappfy.com.br/api/{session}/profile')
  data = response.json()
  print(data)
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json get /api/{session}/profile
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/{session}/profile:
    get:
      tags:
        - 🆔 Profile
      summary: Get my profile
      description: The {session} parameter must be the session's instanceName.
      operationId: ProfileController_getMyProfile
      parameters:
        - name: session
          required: true
          in: path
          description: The session name (instanceName) of the profile you want to get
          example: my-session
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MyProfile'
      security:
        - api_key: []
components:
  schemas:
    MyProfile:
      type: object
      properties:
        id:
          type: string
          example: 5511999999999@c.us
        picture:
          type: string
          nullable: true
          example: https://example.com/picture.jpg
        name:
          type: string
      required:
        - id
        - picture
        - name
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````